
<!doctype html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head th:fragment="head">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="Description" content="Půjčovna nářadí, dopravních prostředků, strojů a další..." />
    <meta name="Keywords" content="půjčovna, nářadí, stavba, stroje, dopravní prostředky" />
    <meta name="author" content="David Nekolný">
    <title>MiniPŮJČOVNA</title>

    <!-- ICON -->
    <link rel="apple-touch-icon" sizes="180x180" th:href="@{/imgs/favicon/apple-touch-icon.png}">
    <link rel="icon" type="image/png" sizes="32x32" th:href="@{/imgs/favicon/favicon-32x32.png}">
    <link rel="icon" type="image/png" sizes="16x16" th:href="@{/imgs/favicon/favicon-16x16.png}">
    <link rel="manifest" th:href="@{/imgs/favicon/site.webmanifest}">
    <link rel="mask-icon" th:href="@{/imgs/favicon/safari-pinned-tab.svg}" color="#f7b432">
    <meta name="msapplication-TileColor" content="#ffc40d">
    <meta name="theme-color" content="#f7b432">

    <link href="https://fonts.googleapis.com/css?family=Montserrat:700|Nunito:800|Oswald:500&display=swap" rel="stylesheet">

    <!--CSS -->
    <link th:href="@{/webjars/bootstrap/4.3.0/css/bootstrap.min.css}" rel="stylesheet">
    <link th:href="@{/css/survey/style.css}" rel="stylesheet">
    <link th:href="@{/css/bootstrap.extension.css}" rel="stylesheet">
    <link th:href="@{/css/style.css}" rel="stylesheet">

    <!--SCRIPTS-->
    <script th:src="@{/webjars/jquery/3.3.1/jquery.min.js}"></script>
    <script th:src="@{/webjars/bootstrap/4.3.0/js/bootstrap.bundle.min.js}"></script>
    <script th:src="@{/js/survey/index.js}"></script>
    <script th:src="@{/js/all.min.js}"></script>
    <script th:src="@{/js/script.js}"></script>
</head>
<body>
    <!--MENU-->
    <header id="top" th:fragment="header(page)">
        <nav class="navbar navbar-expand-md navbar-dark pt-1 pb-1 px-md-4 shadow-bottom bg-orange">
            <div class="container">
                <a class="navbar-brand navbar-title" th:href="@{/}">
                        <span id="title-icon">
                            <i class="fas fa-tools"></i>
                        </span>
                    <span id="navbar-title-text">
                        Mini<span class="navbar-title-part">PŮJČOVNA</span>
                    </span>
                </a>

                <div class="collapse navbar-collapse">
                    <ul class="navbar-nav ml-auto mr-2">
                        <li class="nav-item" th:classappend="${page == 'sortiment'} ? 'active'">
                            <a class="nav-link" th:href="@{/}">SORTIMENT</a>
                        </li>
                        <li class="nav-item"  th:classappend="${page == 'contact'} ? 'active'">
                            <a class="nav-link" th:href="@{/}">KONTAKT</a>
                        </li>
                    </ul>

                    <!-- LOGIN -->
                    <div class="dropdown" sec:authorize="!isAuthenticated()">
                        <button id="btn-login" class="btn btn-outline-light rounded-circle" type="button">
                            <!-- img src="imgs/user.png" style="width:16px; color: white;" -->
                            <i id="btn-login-icon" class="fas fa-user"></i>
                        </button>
                        <div id="login-form" class="dropdown-content" th:styleappend="${showLogin != null && showLogin == true} ? 'display: block;' : 'display: none;'">
                            <form method="POST" class="mb-2 needs-validation" th:action="@{/login}" novalidate>

                                <div th:if="${param.error}" class="alert alert-danger alert-dismissible fade show" role="alert">
                                    <span>
                                        Špatné heslo nebo email
                                    </span>
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>

                                <div class="mb-1">
                                    <label class="mb-1" for="email">Email:</label>
                                    <input id="email" name="email" class="form-control" type="email" required>
                                    <span class="text-danger invalid-feedback">vyplňte validní email</span>
                                </div>
                                <div class="mb-1">
                                    <label class="mb-1" for="password">Heslo:</label>
                                    <input id="password" name="password" class="form-control" type="password" required>
                                    <span class="text-danger invalid-feedback">heslo je povinné</span>
                                </div>
                                <button class="btn w-100 btn-orange">Přihlásit se</button>
                            </form>
                            <a class="btn btn-sm btn-outline-success w-100" th:href="@{/register}">Registrovat se</a>
                        </div>
                    </div>

                    <!-- USER MENU -->
                    <div class="dropdown" sec:authorize="isAuthenticated()">
                        <button id="btn-login" class="btn rounded-pill" th:classappend="${page == 'user'} ? 'btn-dark' : 'btn-light'" type="button">
                            <i id="btn-login-icon" class="fas fa-user"></i>
                            <span id="btn-login-user-name" th:if="${currentUser != null}" th:text="${currentUser.getFullName()}"></span> <!--th:text="${T(cz.david.minirental.model.entity.User).getCurrentUser().getFullName()}"-->
                        </button>
                        <div id="login-form" class="dropdown-content-sm" style="display: none;">
                            <a class="btn btn-success w-100 mb-1" th:href="@{/rezervation}">
                                <i class="fas fa-hammer"></i>
                                Moje rezervace
                            </a>
                            <a class="btn btn-orange w-100 mb-1" th:href="@{/profile}">
                                <i class="fas fa-cog"></i>
                                Nastavení účtu
                            </a>
                            <a class="btn btn-sm btn-outline-secondary w-100" th:href="@{/logout}">
                                <i class="fas fa-sign-out-alt"></i>
                                Odhlásit se
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </nav>

        <a id="btn-up" href="#top"><i class="fas fa-chevron-up h-100 w-100"></i></a>

    </header>

    <!--CAROUSEL-->
    <div th:fragment="carousel" id="carouselExampleSlidesOnly" class="carousel" data-ride="carousel">
        <div class="carousel-inner">
            <div class="carousel-item carousel-img active h-100">
            </div>
        </div>
    </div>

    <!--CAROUSEL-->
    <div th:fragment="carousel-sm" id="carouselExampleSlidesOnly" class="carousel-sm" data-ride="carousel">
        <div class="carousel-inner">
            <div class="carousel-item carousel-img active h-100 shadow-bottom">
                <div class="container">
                    <!--<p class="text-white h1 mt-5 ml-5">Registrace</p>-->
                </div>
            </div>
        </div>
    </div>


    <div th:fragment="alerts">
        <div th:if="${errorMessage != null}" class="alert alert-danger alert-dismissible fade show" role="alert">
            <span th:text="${errorMessage}" />
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>

        <div th:if="${successMessage != null}" class="alert alert-success alert-dismissible fade show" role="alert">
            <span th:text="${successMessage}" />
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>

        <div th:if="${warningMessage != null}" class="alert alert-warning alert-dismissible fade show" role="alert">
            <span th:text="${warningMessage}" />
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>

    <footer id="footer" class="border-top bg-dark text-white p-4" th:fragment="footer">
        <div class="container">
            <div class="row">
                <div class="col-6">
                    <ul>
                        <li>Kontakt</li>
                        <li>Sotiment</li>
                        <li>BlaBla</li>
                    </ul>
                </div>
                <div class="col-6">
                    <ul>
                        <li>Kontakt</li>
                        <li>Sotiment</li>
                        <li>BlaBla</li>
                    </ul>
                </div>
            </div>
        </div>
    </footer>
</body>
</html>
